class BankAccount < ActiveRecord::Base
  belongs_to :bank_branch
  belongs_to :partner
  
  ACTYPE_NAMES = {1 => '普通', 2 => '当座', 9 => '貯蓄'}
  
  def format_branch()
    branch = bank_branch
    "#{branch.bank.name} #{branch.name}"
  end
  
  def format_number()
    "(#{BankAccount::ACTYPE_NAMES[ac_type]}) #{ac_number}"
  end
end
