class FlightDetailsController < ApplicationController
  def index
  end
  
  def search
    @day = date_from_select(params[:flight], 'day')
    @list = FlightDetail.find :all, :conditions => ['job_dt = ?', @day]
  end
  
  def summary
    @from = date_from_select(params[:term], 'from')
    @to = date_from_select(params[:term], 'to')
    @list = FlightDetail.find :all, 
                 :select => 'dep_loc, arv_loc, count(*) ct, sum(ri_time - ro_time) bt, sum(arv_time - dep_time) ft',
                 :conditions => ['job_dt between ? and ?', @from, @to],
                 :group => 'dep_loc, arv_loc'
  end
end

  