class Division < ActiveRecord::Base
  belongs_to :control_division
  belongs_to :role

  @@addable_cache = nil
  def self.addable()
    if !@@addable_cache
      all = find :all, :conditions => '(end_day IS NULL) AND purchase_active <> 0', :order => 'division_code'
      @@addable_cache = all.select {|r|
        !['0'].include?(r.division_code)
      }
    end
    return @@addable_cache
  end
  
  def name2
    return "#{division_code} #{name}"
  end
end
