class InvoiceLog < ActiveRecord::Base
  belongs_to :invoice
  belongs_to :done_by, :class_name => 'User', :foreign_key => 'done_by'
  
  MODIFIED = 1
  SIGNED_OFF = 2
  
  KIND_NAMES = [nil, "modified", "signed-off"]
end
